This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 31843 - UGModule.createTimerBeanFS can return null
Summary: UGModule.createTimerBeanFS can return null
Status: RESOLVED FIXED
Alias: None
Product: usersguide
Classification: Unclassified
Component: Code (show other bugs)
Version: 3.x
Hardware: PC Linux
: P3 blocker (vote)
Assignee: Jesse Glick
URL:
Keywords:
Depends on: 31844
Blocks: 18312
  Show dependency tree
 
Reported: 2003-03-10 22:40 UTC by Jesse Glick
Modified: 2003-12-11 14:27 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2003-03-10 22:40:57 UTC
methodcreate attrs of instances cannot return
null, because InstanceCookie.iC() cannot return
null. It must throw IOException. Bug introduced by
tpavek's commit of UGModule.java 1.20. Causes BT
#4827173 to produce strange and uninformative
stack traces rather than directly displaying the
problem.
Comment 1 Jesse Glick 2003-03-10 22:59:57 UTC
Will fix for 4.0. Don't see any particular reason to merge since
#4827173 can be fixed differently, but could easily be merged.
Comment 2 Tomas Pavek 2003-03-11 09:48:14 UTC
My mistake. But it's TimerBean nature to cause problems 
again and again, no matter what you do... ;)
Comment 3 Jesse Glick 2003-03-11 19:18:27 UTC
committed     Up-To-Date  1.26       
usersguide/src/org/netbeans/modules/usersguide/UGModule.java